• Resolved eaglejohn

    (@danielbenjamins)


    I’m having a lot of trouble with these new updates on a few websites. Version 2.0, 2.0.1 and 2.0.2 are causing a critical error, breaking these websites. Other websites work great.

    I downgraded to 1.1.12 and that version is not causing any issues. When I upgrade to 2.0.2 (current version), it breaks again.

Viewing 12 replies - 1 through 12 (of 12 total)
  • Plugin Support Aleksandar@Cloudinary

    (@aleksandarcloudinary)

    Hi Daniel,

    Thanks for reporting this.

    Our team are aware and are currently working on a fix to resolve the issues with some installations caused by upgrading to the latest version. We have created a StatusPage where you can track and get the latest information on this – https://status.cloudinary.com/incidents/w0062hk3gtl6. If the 2.0.2 version isn’t working for you then you’ve done the right thing and used the latest 1.X version for the meantime.

    We will update the StatusPage and this thread too once it’s all confirmed as resolved.

    Thread Starter eaglejohn

    (@danielbenjamins)

    Thank you, I will keep an eye on that page!

    Thread Starter eaglejohn

    (@danielbenjamins)

    I keep checking that status page, but it doesn’t mention anything about the critical error the update is causing on some sites. Any news on this? Is there a different status page that I can check?

    Plugin Support Erwin @ Cloudinary

    (@erwincloudinary)

    Hi @danielbenjamins,

    We have updated the plugin to v2.0.3. Can you give it a try and let me know if you are still running into issue? If it does, can you share more details on what kind of error you are getting?

    Regards,
    Erwin Lukas

    Thread Starter eaglejohn

    (@danielbenjamins)

    I already tried, but 2.0.3 also causes a critical error. It’s one of the recent new functions of WordPress (https://wpfixit.com/wordpress-error-there-has-been-a-critical-error-on-your-website/). Then I get an email saying the error is caused by the Cloudinary plugin. I have to deactivate it through FTP to get my websites working again.

    I have a VPS with 8 websites and only on 1 website I get an error. All websites are identical and are using the same plugins. I have another VPS with 6 websites, same setup and plugins, and 2 of those are breaking due the Cloudinary plugin.

    • This reply was modified 2 years, 1 month ago by eaglejohn.
    Plugin Support Erwin @ Cloudinary

    (@erwincloudinary)

    @danielbenjamins

    Can you share more info on what error you are getting?

    Regards,
    Erwin Lukas

    Thread Starter eaglejohn

    (@danielbenjamins)

    This is all I have.

    On the website:

    Er heeft zich een kritische fout voorgedaan op je website. Controleer je postvak-in van je beheer-e-mailadres voor instructies.

    Lees meer over probleemoplossing in WordPress.

    In my email:

    Hallo!

    Sinds WordPress 5.2 is er een ingebouwde functie die herkent wanneer een plugin of thema een fatale fout veroorzaakt op je site en die je op de hoogte stelt met deze automatische e-mail.

    In dit geval heeft WordPress een probleem gevonden met één van je plugins: Cloudinary.

    Bezoek eerst je website (https://www.mydomain.com/) en kijk of er zichtbare problemen zijn. Bezoek daarna de pagina waar de fout was gevonden (https://www.mydomain.com/wp-admin/plugins.php?activate=true&plugin_status=all&paged=1&s=) en kijk of er zichtbare problemen zijn.

    Contact opnemen met je host voor hulp bij het verder onderzoeken van dit probleem.

    In het geval dat je site kapot lijkt te zijn, en je het dashboard niet op de normale manier kunt benaderen, heeft WordPress nu een speciale “herstelmodus”. Deze laat je op een veilige manier op je dashboard inloggen om het probleem verder te onderzoeken.

    https://www.mydomain.com/?action=enter_recovery_mode&rm_token=QkA9AGjllbXxa65zgz1VST&rm_key=IcYuaLwxsHugIsV9fiW7Hc

    Om je site veilig te houden verloopt deze link over 1 dag. Maak je daar maar niet druk om, er wordt een nieuwe link naar je gestuurd wanneer het probleem zich weer voordoet nadat de link is verlopen.

    Als je hulp nodig hebt met dit probleem, kan je gevraagd worden om de volgende informatie:
    WordPress versie 5.4
    Huidig thema: Theme (versie 2020.02.08)
    Huidige plugin: Cloudinary (versie 2.0.3)
    PHP versie 7.3.11-1+ubuntu19.04.1+deb.sury.org+1

    Foutdetails
    ===========
    Een fout van het type E_ERROR werd veroorzaakt op regelnummer 1293 van het bestand /var/www/html/mydomain.com/public_html/wp-content/plugins/cloudinary-image-management-and-manipulation-in-the-cloud-cdn/php/class-media.php. Foutmelding: Uncaught Error: Call to a member function cloudinary_url() on null in /var/www/html/mydomain.com/public_html/wp-content/plugins/cloudinary-image-management-and-manipulation-in-the-cloud-cdn/php/class-media.php:1293
    Stack trace:
    #0 /var/www/html/mydomain.com/public_html/wp-content/plugins/cloudinary-image-management-and-manipulation-in-the-cloud-cdn/php/class-plugin.php(280): Cloudinary\Media->setup()
    #1 /var/www/html/mydomain.com/public_html/wp-includes/class-wp-hook.php(287): Cloudinary\Plugin->setup(”)
    #2 /var/www/html/mydomain.com/public_html/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters(NULL, Array)
    #3 /var/www/html/mydomain.com/public_html/wp-includes/plugin.php(478): WP_Hook->do_action(Array)
    #4 /var/www/html/mydomain.com/public_html/wp-settings.php(540): do_action(‘init’)
    #5 /var/www/html/mydomain.com/public_html/wp-config.php(29): require_once(‘/var/www/html/b…’)
    #6 /var/www/html/mydomain.com/public_html/wp-load.php(37): require_once(‘/var/www/html/b…’)
    #7 /va

    Plugin Support Erwin @ Cloudinary

    (@erwincloudinary)

    @danielbenjamins

    Thank you for the additional info on this. Let me bring this to our dev team.
    We’ll get back to you once we have more information.

    Regards,
    Erwin Lukas

    Plugin Support Raz @ Cloudinary

    (@razinary)

    @danielbenjamins

    Our dev team assumes that they have found the root cause for the issue you are experiencing, which seems to be an edge case which they currently work on confirming.

    Once confirmed this is indeed the case, we will work on issuing a fix for it as soon as possible.

    Updates to follow.

    Best,
    Raz

    Plugin Support Erwin @ Cloudinary

    (@erwincloudinary)

    @danielbenjamins
    Just to give you a quick update on this.
    Our dev team is still working on the fix and takes longer than usual.
    We will update this post once we have the fix available.

    Thanks for your patience on this.

    Regards,
    Erwin Lukas

    Thread Starter eaglejohn

    (@danielbenjamins)

    2 months, 3 weeks ago…

    @danielbenjamins
    This issue was fixed as part of the new release. Can you please update to the latest version 2.1.2 of the plugin and try? If you are still noticing the problem, please open a support ticket directly with more details for further investigation.

    Best regards,
    Jay

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘Critical error’ is closed to new replies.